##
## Don't edit this file, edit wizards_lib.spec.proto
##

%define name wizards_lib
%define version 2.0.10
%define release 4mdk

Summary: The library of configuration wizards.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Configuration/Networking
Source: %{name}-%{version}-%{release}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}
BuildArch: noarch
Prefix: %{_prefix}
Requires: wizard
Requires: wizdrake
Requires: wizards_lib-common >= %{version}
Requires: wizards_lib-server >= %{version}

%description
A set of configuration wizards: server, dhcp, dns, firewall, postfix, time...

%package client
Summary: The library of configuration wizards.
Group: System/Configuration/Networking
Requires: bind-utils
Requires: bind
Requires: wizards_lib >= %{version}

%description client
A set of configuration wizards: server, dhcp, dns, firewall, postfix, time...

%package common
Summary: The library of configuration wizards.
Group: System/Configuration/Networking
Requires: /bin/sh

%description common
A set of configuration wizards: server, dhcp, dns, firewall, postfix, time...

%package db
Summary: The library of configuration wizards.
Group: System/Configuration/Networking
Requires: wizards_lib >= %{version}
Requires: MySQL

%description db
A set of configuration wizards: server, dhcp, dns, firewall, postfix, time...

%package dhcp
Summary: The library of configuration wizards.
Group: System/Configuration/Networking
Requires: wizards_lib >= %{version}
Requires: dhcp-server

%description dhcp
A set of configuration wizards: server, dhcp, dns, firewall, postfix, time...

%package dns
Summary: The library of configuration wizards.
Group: System/Configuration/Networking
Requires: wizards_lib >= %{version}
Requires: bind-utils
Requires: bind

%description dns
A set of configuration wizards: server, dhcp, dns, firewall, postfix, time...

%package proxy
Summary: The library of configuration wizards.
Group: System/Configuration/Networking
Requires: wizards_lib >= %{version}
Requires: squid

%description proxy
A set of configuration wizards: server, dhcp, dns, firewall, postfix, time...

%package firewall
Summary: The library of configuration wizards.
Group: System/Configuration/Networking
Requires: wizards_lib >= %{version}
Requires: iptables, Bastille

%description firewall
A set of configuration wizards: server, dhcp, dns, firewall, postfix, time...

%package ftp
Summary: The library of configuration wizards.
Group: System/Configuration/Networking
Requires: wizards_lib >= %{version}
Requires: anonftp
Requires: wu-ftpd

%description ftp
A set of configuration wizards: server, dhcp, dns, firewall, postfix, time...

%package global
Summary: The library of configuration wizards.
Group: System/Configuration/Networking
Requires: wizards_lib >= %{version}
Requires: wizards_lib-client >= %{version}
Requires: wizards_lib-db >= %{version}
Requires: wizards_lib-dhcp >= %{version}
Requires: wizards_lib-dns >= %{version}
Requires: wizards_lib-firewall >= %{version}
Requires: wizards_lib-ftp >= %{version}
Requires: wizards_lib-news >= %{version}
Requires: wizards_lib-postfix >= %{version}
Requires: wizards_lib-samba >= %{version}
Requires: wizards_lib-time >= %{version}
Requires: wizards_lib-web >= %{version}
Requires: wizards_lib-proxy >= %{version}

%description global
A set of configuration wizards: server, dhcp, dns, firewall, postfix, time...

%package news
Summary: The library of configuration wizards.
Group: System/Configuration/Networking
Requires: wizards_lib >= %{version}
Requires: leafnode

%description news
A set of configuration wizards: server, dhcp, dns, firewall, postfix, time...

%package postfix
Summary: The library of configuration wizards.
Group: System/Configuration/Networking
Requires: wizards_lib >= %{version}
Requires: postfix

%description postfix
A set of configuration wizards: server, dhcp, dns, firewall, postfix, time...

%package samba
Summary: The library of configuration wizards.
Group: System/Configuration/Networking
Requires: wizards_lib >= %{version}
Requires: samba-common
Requires: samba
Requires: perl


%description samba
A set of configuration wizards: server, dhcp, dns, firewall, postfix, time...

%package server
Summary: The library of configuration wizards.
Group: System/Configuration/Networking
Requires: initscripts
Requires: drakconf
Requires: /bin/sh

%description server
A set of configuration wizards: server, dhcp, dns, firewall, postfix, time...

%package time
Summary: The library of configuration wizards.
Group: System/Configuration/Networking
Requires: wizards_lib >= %{version}
Requires: util-linux
Requires: ntp

%description time
A set of configuration wizards: server, dhcp, dns, firewall, postfix, time...

%package web
Summary: The library of configuration wizards.
Group: System/Configuration/Networking
Requires: wizards_lib >= %{version}
Requires: apache

%description web
A set of configuration wizards: server, dhcp, dns, firewall, postfix, time...


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}-%{release}

%build

%install
make prefix="$RPM_BUILD_ROOT" install

rm -f file.list

WIZARD_DIRS='server_wizard common dhcp_wizard dns_wizard firewall_wizard global_wizard postfix_wizard samba_wizard time_wizard web_wizard ftp_wizard news_wizard client_wizard db_wizard proxy_wizard'

echo "%defattr(-,root,root)" > file.list
echo "%dir /var/log/wizards" >> file.list
echo "%doc README Wizard.dtd COPYRIGHT.sh" >> file.list

mkdir -p  $RPM_BUILD_ROOT/var/log/wizards
for i in $WIZARD_DIRS; do
	touch $RPM_BUILD_ROOT/var/log/wizards/`basename $i _wizard`.wdb
	echo "%defattr(-,root,root)" > "`basename $i _wizard`".file.list
	echo "%attr(0644,root,root) /var/log/wizards/`basename $i _wizard`.wdb" >> "`basename $i _wizard`".file.list
done


for dir in $WIZARD_DIRS;
do
cat $RPM_BUILD_DIR/%{name}-%{version}-%{release}/$dir/file.list  | sed -e '/^[[:space:]]*$/d' -e 's/^/\%attr(-\,root\,root) \/usr\/share\/wizards\//' >> "`basename $dir _wizard`".file.list
(cd $RPM_BUILD_ROOT; find usr/share/wizards/$dir -type d -exec echo "%dir /"{} >> $RPM_BUILD_DIR/%{name}-%{version}-%{release}/"`basename $dir _wizard`".file.list \; )

done

%clean
rm -rf $RPM_BUILD_ROOT

%files -f file.list
%files client -f client.file.list
%files common -f common.file.list
%files db -f db.file.list
%files dhcp -f dhcp.file.list
%files dns -f dns.file.list
%files firewall -f firewall.file.list
%files ftp -f ftp.file.list
%files global -f global.file.list
%files news -f news.file.list
%files postfix -f postfix.file.list
%files samba -f samba.file.list
%files server -f server.file.list
%files time -f time.file.list
%files web -f web.file.list
%files proxy -f proxy.file.list


%changelog
* Tue Mar 05 2002 David BAUDENS <baudens@mandrakesoft.com> 2.0.10-4mdk
- Fix banners

*  Wed Nov 14 2001 Philippe Libat <philippe@mandrakesoft.com> 2.0.10-3mdk
- fix services

*  Wed Nov 14 2001 Philippe Libat <philippe@mandrakesoft.com> 2.0.10-2mdk
- fix requires version

*  Wed Nov 14 2001 Philippe Libat <philippe@mandrakesoft.com> 2.0.10-1mdk
- new proxy wizard  (Jerome Dumonteil) <jd@mandrakesoft.com>

*  Fri Oct 26 2001 Philippe Libat <philippe@mandrakesoft.com> 2.0.9-5mdk
- fix config file

*  Fri Oct 26 2001 Philippe Libat <philippe@mandrakesoft.com> 2.0.9-4mdk
- fix %version dir

*  Fri Oct 26 2001 Philippe Libat <philippe@mandrakesoft.com> 2.0.9-3mdk
- fix dns_wizard, firewall_wizard, postfix_wizard, ftp_wizard

*  Mon Sep 24 2001 Philippe Libat <philippe@mandrakesoft.com> 2.0.9-2mdk
- fix helpfile

*  Thu Sep 06 2001 Philippe Libat <philippe@mandrakesoft.com> 2.0.9-1mdk
- firewall require: Bastille, iptables

*  Tue Sep 04 2001 Philippe Libat <philippe@mandrakesoft.com> 2.0.8-1mdk
- fix require wizdrake

*  Fri Aug 31 2001 Philippe Libat <philippe@mandrakesoft.com> 2.0.7-1mdk
- fix postfix script, fix dhcp wizard, firewall port to Bastille

*  Thu Aug 30 2001 Philippe Libat <philippe@mandrakesoft.com> 2.0.6-1mdk
- image client, caching_dns

*  Wed Aug 29 2001 Philippe Libat <philippe@mandrakesoft.com> 2.0.5-1mdk
- doc: ref.html

*  Mon Aug 27 2001 Philippe Libat <philippe@mandrakesoft.com> 2.0.4-1mdk
- fix samba path, fix server wiz (draknet), global label[done]

*  Fri Aug 24 2001 Philippe Libat <philippe@mandrakesoft.com> 2.0.3-1mdk
- replace xntp3/ntp

*  Fri Aug 24 2001 Philippe Libat <philippe@mandrakesoft.com> 2.0.2-1mdk
- noarch version

*  Fri Aug 24 2001 Philippe Libat <philippe@mandrakesoft.com> 2.0.1-1mdk
- major version, split spec file, fix server script

*  Thu Aug 23 2001 Philippe Libat <philippe@mandrakesoft.com> 1.3.7-1mdk
- fix server wizard. fix proportional widget.

*  Wed Aug 22 2001 Philippe Libat <philippe@mandrakesoft.com> 1.3.6-1mdk
- fix wizardTitle, fix DHCP wizard

*  Tue Aug 21 2001 Philippe Libat <philippe@mandrakesoft.com> 1.3.5-1mdk
- time wizard, fontsize, fonttype in freetext.

*  Mon Aug 20 2001 Philippe Libat <philippe@mandrakesoft.com> 1.3.4-1mdk
- fix width, height, proportional, fontsize

*  Fri Aug 17 2001 Philippe Libat <philippe@mandrakesoft.com> 1.3.3-1mdk
- fix server,DHCP, DNS, Postfix, Samba, Firewall, Web wizard.

*  Thu Aug 16 2001 Enzo Maggi <enzo@mandrakesoft.com> 1.3.2-1mdk
- Fixed a bug in the rpm making process

*  Thu Aug 16 2001 Philippe Libat <philippe@mandrakesoft.com> 1.3.1-1mdk
- path modification

*  Tue Aug 14 2001 Philippe Libat <philippe@mandrakesoft.com> 1.3.0-1mdk
- new ergonomic style

*  Wed May 17 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.2.18-1mdk
- bugfix on help

*  Wed May 17 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.2.17-1mdk
- Bug fixing on help

*  Wed May 17 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.2.16-1mdk
- Fixed a bug in the help retrieving

*  Tue May 16 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.2.15-1mdk
- typo in traduc fr

*  Tue May 16 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.2.14-1mdk
- Corrected group in System/Configuration/Networking

*  Tue May 16 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.2.13-1mdk
- added help links

*  Mon May 15 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.2.12-1mdk
- Synchronized multiply commits

*  Mon May 15 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.2.11-1mdk
- Fixed a permission bug in web wizard

*  Mon May 15 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.2.10-1mdk
- Time wizard fixed

*  Fri May 12 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.2.9-1mdk
- no change

*  Fri May 12 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.2.8-1mdk
- bugfix in DNS

*  Fri May 12 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.2.7-1mdk
- traduction

*  Fri May 12 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.2.6-1mdk
- traduction

*  Fri May 12 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.2.5-1mdk
- Bug fixing

*  Fri May 12 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.2.4-1mdk
- Missing traslation

*  Fri May 12 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.2.3-1mdk
- Added the client wizard

*  Thu May 11 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.2.2-1mdk
- named runlevel initialized

*  Wed May 10 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.2.1-1mdk
- server wiz : external gateway

*  Tue May 09 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.1.8-1mdk
- many bugfix

*  Fri May 05 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.1.7-1mdk
- samba bugix

*  Thu May 04 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.1.6-1mdk
- bugfix dns

*  Thu May 04 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.1.5-1mdk
- bugfix dhcpd

*  Wed May 03 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.1.4-1mdk
- massive scripts bugfix

*  Thu Apr 27 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.1.3-1mdk
- chnge in scripts for backup

*  Thu Apr 27 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.1.2-1mdk
- bugfix in server wiz + small french trad changes

*  Fri Apr 21 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.1.1-1mdk
- Packaged for corporate beta 1

*  Wed Apr 19 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.1.0-1mdk
- Beta-test version

*  Mon Apr 17 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.0.26-1mdk
- maj

*  Mon Apr 17 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.0.24-1mdk
- Fixed the images installation and lookup.

*  Mon Apr 17 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.0.23-1mdk
- more gif

*  Mon Apr 17 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.0.22-1mdk
- putting news.gif

*  Fri Apr 14 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.0.21-1mdk
- removing last time.gif

*  Fri Apr 14 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.0.20-1mdk
- changing time.gif to heure in filelist

*  Fri Apr 14 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.0.19-1mdk
- adding icons credits

*  Fri Apr 14 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.0.14-1mdk
- redo

*  Fri Apr 14 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.0.13-1mdk
- added credits for icons to ln

*  Fri Apr 14 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.0.18-1mdk
- Removed the wizards from the menu

*  Fri Apr 14 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.0.17-1mdk
- Internationalization fixes

*  Thu Apr 13 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.0.16-1mdk
- other translation

*  Thu Apr 13 2000 Jerome Dumonteil <jd@mandrakesoft.com> 1.0.15-1mdk
- italian translation

* Thu Apr  7 2000 - Maurizio De Cecco <maurizio@mandrakesoft.com>
- added menu stuff

* Thu Apr  6 2000 - Jerome Dumonteil <jd@mandrakesoft.com>
- added somme directory in files.
- added requires.

* Thu Apr  6 2000 - Maurizio De Cecco <maurizio@mandrakesoft.com>
- added translation files.

* Fri Mar 31 2000 - Enzo Maggi <enzo@mandrakesoft.com>
- initial packaging

